
ShardbagHider_Version = 0.6;

function ShardbagHider_IsShardbagHider(bag)

	local bagName = GetBagName(bag);

	if ( bagName ~= nil ) then
		if (
			bagName == ShardbagHider_Constants.SMALLSOULPOUCH or
			bagName == ShardbagHider_Constants.BOXOFSOULS or
			bagName == ShardbagHider_Constants.SOULPOUCH or
			bagName == ShardbagHider_Constants.FELCLOTHBAG or
			bagName == ShardbagHider_Constants.COREFELCLOTHBAG or
			bagName == ShardbagHider_Constants.EBONSHADOWBAG
		) then
			return true;
		end
	end

	return false;
end

function ShardbagHider_OpenAllNonShardbagHiderBags()

	for i = 0, 4 do
		if ( not ShardbagHider_IsShardbagHider(i) ) then
			OpenBag(i);
		end
	end
end

function ShardbagHider_OpenAll(forceOpen)

	local allBagsAreOpen = true;
	for i = 0, 4 do
		if ( not ShardbagHider_IsShardbagHider(i) ) then
			if (not IsBagOpen(i)) then
		
				allBagsAreOpen = false;
			end
		end

		CloseBag(i);
	end

	if (forceOpen or not allBagsAreOpen) then
		ShardbagHider_OpenAllNonShardbagHiderBags();
	end
end

function Shard_Bag_Hider_OnLoad()

	local myClass = UnitClass("player");

	if (myClass == ShardbagHider_Constants.WARLOCK) then
		OpenAllBags = ShardbagHider_OpenAll;
		DEFAULT_CHAT_FRAME:AddMessage(string.format(ShardbagHider_Constants.Shard_Bag_Hider_LOADED, ShardbagHider_Version));
	end
end

